bswap(3)

NAME
bswap16, bswap32, bswap64 - byte-order swapping functions

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <machine/bswap.h>
u_int16_t
bswap16(u_int16_t);
u_int32_t
bswap32(u_int32_t);
u_int64_t
bswap64(u_int64_t);

DESCRIPTION
The bswap16(), bswap32(), and bswap64() function return the value of their argument with the bytes inverted. They can be used to convert 16, 32 or 64 bits intergers from little to big endian, or vice-versa.

SEE ALSO
byteorder(3)